/* vectorlist.c */

#include "vectorlist.h"

VECTOR *VectorListFind(VECTORLIST *vl, VECTOR *vector)
{
	VECTOR *v;

	while ((v = VectorListNext(&vl))) 
		if (VECTOREQUAL(*v, *vector))
			return v;

	return (VECTOR *)NULL;
}
